petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMMoabVecGetArrayRead

Returns the read-only direct access array to the local representation of MOAB tag data for the underlying vector using locally owned+ghosted range of entities

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode  DMMoabVecGetArrayRead(DM dm,Vec vec,void* array)

Collective on MPI_Comm Many br

### Input Parameter

| dm | - The DMMoab object being set Many br
| vec | - The Vector whose underlying data is requested Many br

### Output Parameter

| array | - The local data array Many br

Many br

### Keywords

MOAB, distributed array

### See Also

DMMoabVecRestoreArrayRead(), DMMoabVecGetArray(), DMMoabVecRestoreArray()

Level:intermediate
Location:src/dm/impls/moab/dmmbvec.cxx
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex35.cxx.html